# Module `aioimmich.albums.models`

aioimmich albums models.

## Classes

`class AssetToAlbumError (*args, **kwds)`
  Expand source code

      class AssetToAlbumError(StrEnum):
          """Asset upload status."""

          DUPLICATED = "duplicate"
          NO_PERMISSION = "no_permission"
          NOT_FOUND = "not_found"
          UNKNOWN = "unknown"

  Asset upload status.

  ### Ancestors

  - enum.StrEnum
  - builtins.str
  - enum.ReprEnum
  - enum.Enum

  ### Class variables

  `var DUPLICATED`
  `var NOT_FOUND`
  `var NO_PERMISSION`
  `var UNKNOWN`
`class ImmichAddAssetsToAlbumResponse (asset_id: str,
success: bool,
error: AssetToAlbumError | None = None)`
  Expand source code

      @dataclass
      class ImmichAddAssetsToAlbumResponse(DataClassJSONMixin):
          """Representation of an immich add assets to album response."""

          asset_id: str = field(metadata=field_options(alias="id"))
          success: bool
          error: AssetToAlbumError | None = field(default=None)

  Representation of an immich add assets to album response.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var asset_id : str`
  `var error : AssetToAlbumError | None`
  `var success : bool`

  ### Methods

  `def to_dict(self)`
`class ImmichAlbum (album_id: str,
album_name: str,
album_thumbnail_asset_id: str | None,
album_users: list,
asset_count: int,
assets: list[ImmichAsset],
created_at: datetime,
has_shared_link: bool,
is_activity_enabled: bool,
owner_id: str,
owner: ImmichUser,
shared: bool,
updated_at: datetime,
end_date: datetime | None = None,
last_modified_asset_timestamp: datetime | None = None,
order: str | None = None,
start_date: datetime | None = None)`
  Expand source code

      @dataclass
      class ImmichAlbum(DataClassJSONMixin):
          """Representation of an immich album."""

          # non-default parameters
          album_id: str = field(metadata=field_options(alias="id"))
          album_name: str = field(metadata=field_options(alias="albumName"))
          album_thumbnail_asset_id: str | None = field(
              metadata=field_options(alias="albumThumbnailAssetId")
          )
          album_users: list = field(metadata=field_options(alias="albumUsers"))
          asset_count: int = field(metadata=field_options(alias="assetCount"))
          assets: list[ImmichAsset]
          created_at: datetime = field(metadata=field_options(alias="createdAt"))
          has_shared_link: bool = field(metadata=field_options(alias="hasSharedLink"))
          is_activity_enabled: bool = field(metadata=field_options(alias="isActivityEnabled"))
          owner_id: str = field(metadata=field_options(alias="ownerId"))
          owner: ImmichUser
          shared: bool
          updated_at: datetime = field(metadata=field_options(alias="updatedAt"))

          # default parameters
          end_date: datetime | None = field(
              metadata=field_options(alias="endDate"), default=None
          )
          last_modified_asset_timestamp: datetime | None = field(
              metadata=field_options(alias="lastModifiedAssetTimestamp"), default=None
          )
          order: str | None = field(default=None)
          start_date: datetime | None = field(
              metadata=field_options(alias="startDate"), default=None
          )

  Representation of an immich album.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var album_id : str`
  `var album_name : str`
  `var album_thumbnail_asset_id : str | None`
  `var album_users : list`
  `var asset_count : int`
  `var assets : list[ImmichAsset]`
  `var created_at : datetime.datetime`
  `var end_date : datetime.datetime | None`
  `var has_shared_link : bool`
  `var is_activity_enabled : bool`
  `var last_modified_asset_timestamp : datetime.datetime | None`
  `var order : str | None`
  `var owner : ImmichUser`
  `var owner_id : str`
  `var shared : bool`
  `var start_date : datetime.datetime | None`
  `var updated_at : datetime.datetime`

  ### Methods

  `def to_dict(self)`